#include "bgplogcon.h"
#include <unistd.h>
#include <iostream>


using namespace BGPHist;
using namespace std;

BGPLogCon::BGPLogCon(){}
BGPLogCon::~BGPLogCon(){}
void BGPLogCon::open(BGPPeer *peer,const MSG_Open *msg){
	cout << (*msg) << endl;
}
void BGPLogCon::close(BGPPeer *peer){
}
void BGPLogCon::txt(BGPPeer *peer,const char *txt){
	cout << txt << endl;
}
void BGPLogCon::exception(BGPPeer *peer,const BGPException *e){
	if (e) cout << e->what() << endl;
}
void BGPLogCon::notification(BGPPeer *peer,const MSG_Notify *){
}
void BGPLogCon::keepalive(BGPPeer *peer){
}
void BGPLogCon::nlri(BGPPeer *peer,const MSG_UpdateAttr &attr,const IPNets & nets){
	cout << "nlri: " << attr << nets << endl;
}
void BGPLogCon::withdraw(BGPPeer *peer,const MSG_UpdateAttr &attr,const IPNets & nets){
	cout << "withdraw: " << attr << nets << endl;
}
void BGPLogCon::nlri_ipv4m(BGPPeer *peer,const MSG_UpdateAttr &attr,const IPAddress & nexthop,const IPNets & nets){
	cout << "nlri_ipv4m: attr(" << attr << ") nh " << nexthop << " nets: " << nets  << endl;
}
void BGPLogCon::withdraw_ipv4m(BGPPeer *peer,const MSG_UpdateAttr &attr,const IPAddress & nexthop,const IPNets & nets){
	cout << "withdraw_ipv4m: attr(" << attr << ") nh " << nexthop << " nets: " << nets  << endl;
}
void BGPLogCon::nlri_ipv4lu(BGPPeer *peer,const MSG_UpdateAttr &attr,const IPAddress & nexthop,const IPTagNets & nets){
	cout << "nlri_ipv4lu: attr(" << attr << ") nh " << nexthop << " nets: " << nets  << endl;
}
void BGPLogCon::withdraw_ipv4lu(BGPPeer *peer,const MSG_UpdateAttr &attr,const IPAddress & nexthop,const IPTagNets & nets){
	cout << "withdraw_ipv4lu: attr(" << attr << ") nh " << nexthop << " nets: " << nets  << endl;
}
void BGPLogCon::nlri_vpnv4u(BGPPeer *peer,const MSG_UpdateAttr &attr,const IPAddress & nexthop,const IPTagNets & nets){
	cout << "nlri_vpnv4u: attr(" << attr << ") nh " << nexthop  << " nets: " << nets  << endl;
}
void BGPLogCon::withdraw_vpnv4u(BGPPeer *peer,const MSG_UpdateAttr &attr,const IPAddress & nexthop,const IPTagNets & nets){
	cout << "withdraw_vpnv4u: attr(" << attr << ") nh " << nexthop  << " nets: " << nets  << endl;
}
void BGPLogCon::nlri_ipv6u(BGPPeer *peer,const MSG_UpdateAttr &attr,const IPAddress & nexthop,const IPNets & nets){
	cout << "nlri_ipv6u: attr(" << attr << ") nh " << nexthop << " nets: " << nets  << endl;
}
void BGPLogCon::withdraw_ipv6u(BGPPeer *peer,const MSG_UpdateAttr &attr,const IPAddress & nexthop,const IPNets & nets){
	cout << "withdraw_ipv6u: attr(" << attr << ") nh " << nexthop << " nets: " << nets  << endl;
}
void BGPLogCon::nlri_ipv6lu(BGPPeer *peer,const MSG_UpdateAttr &attr,const IPAddress & nexthop,const IPTagNets & nets){
	cout << "nlri_ipv6lu: attr(" << attr << ") nh " << nexthop << " nets: " << nets  << endl;
}
void BGPLogCon::withdraw_ipv6lu(BGPPeer *peer,const MSG_UpdateAttr &attr,const IPAddress & nexthop,const IPTagNets & nets){
	cout << "withdraw_ipv6lu: attr(" << attr << ") nh " << nexthop << " nets: " << nets  << endl;
}
void BGPLogCon::nlri_vpnv6u(BGPPeer *peer,const MSG_UpdateAttr & attr,const IPAddress & nexthop,const IPTagNets & nets){
	cout << "nlri_vpnv6u: attr(" << attr << ") nh " << nexthop << " nets: " << nets  << endl;
}
void BGPLogCon::withdraw_vpnv6u(BGPPeer *peer,const MSG_UpdateAttr & attr,const IPAddress & nexthop,const IPTagNets & nets){
	cout << "withdraw_vpnv6u: attr(" << attr << ") nh " << nexthop << " nets: " << nets  << endl;
}
void BGPLogCon::nlri_l2vpn(BGPPeer *peer,const MSG_UpdateAttr &attr,const IPAddress & nexthop,const IPTagNets & nets){
	cout << "nlri_l2vpn: attr(" << attr << ") nh " << nexthop << " nets: " << nets  << endl;
}
void BGPLogCon::withdraw_l2vpn(BGPPeer *peer,const MSG_UpdateAttr &attr,const IPAddress & nexthop,const IPTagNets & nets){
	cout << "withdraw_l2vpn: attr(" << attr << ") nh " << nexthop << " nets: " << nets  << endl;
}



